package com.mortals.xhx.module.room.model;

import java.util.List;
import java.util.List;
import com.mortals.xhx.module.room.model.RoomEntity;
/**
 * 房间管理查询对象
 *
 * @author zxfei
 * @date 2023-05-29
 */
public class RoomQuery extends RoomEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 房间名称 */
    private List<String> roomNameList;

    /** 房间名称排除列表 */
    private List <String> roomNameNotList;
    /** 房间编码 */
    private List<String> roomCodeList;

    /** 房间编码排除列表 */
    private List <String> roomCodeNotList;
    /** 开始 房间类型(0.会议室,1.办公室) */
    private Integer roomTypeStart;

    /** 结束 房间类型(0.会议室,1.办公室) */
    private Integer roomTypeEnd;

    /** 增加 房间类型(0.会议室,1.办公室) */
    private Integer roomTypeIncrement;

    /** 房间类型(0.会议室,1.办公室)列表 */
    private List <Integer> roomTypeList;

    /** 房间类型(0.会议室,1.办公室)排除列表 */
    private List <Integer> roomTypeNotList;

    /** 开始 绑定的电子门牌的设备ID */
    private Long deviceIdStart;

    /** 结束 绑定的电子门牌的设备ID */
    private Long deviceIdEnd;

    /** 增加 绑定的电子门牌的设备ID */
    private Long deviceIdIncrement;

    /** 绑定的电子门牌的设备ID列表 */
    private List <Long> deviceIdList;

    /** 绑定的电子门牌的设备ID排除列表 */
    private List <Long> deviceIdNotList;

    /** 绑定的设备名称 */
    private List<String> deviceNameList;

    /** 绑定的设备名称排除列表 */
    private List <String> deviceNameNotList;
    /** 开始 员工人数 */
    private Long countPersonStart;

    /** 结束 员工人数 */
    private Long countPersonEnd;

    /** 增加 员工人数 */
    private Long countPersonIncrement;

    /** 员工人数列表 */
    private List <Long> countPersonList;

    /** 员工人数排除列表 */
    private List <Long> countPersonNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 绑定的设备编码 */
    private List<String> deviceCodeList;

    /** 绑定的设备编码排除列表 */
    private List <String> deviceCodeNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<RoomQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<RoomQuery> andConditionList;

    public RoomQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 房间名称
     * @return roomNameList
     */
    public List<String> getRoomNameList(){
        return this.roomNameList;
    }

    /**
     * 设置 房间名称
     * @param roomNameList
     */
    public void setRoomNameList(List<String> roomNameList){
        this.roomNameList = roomNameList;
    }

    /**
     * 获取 房间名称
     * @return roomNameNotList
     */
    public List<String> getRoomNameNotList(){
        return this.roomNameNotList;
    }

    /**
     * 设置 房间名称
     * @param roomNameNotList
     */
    public void setRoomNameNotList(List<String> roomNameNotList){
        this.roomNameNotList = roomNameNotList;
    }

    /**
     * 获取 房间编码
     * @return roomCodeList
     */
    public List<String> getRoomCodeList(){
        return this.roomCodeList;
    }

    /**
     * 设置 房间编码
     * @param roomCodeList
     */
    public void setRoomCodeList(List<String> roomCodeList){
        this.roomCodeList = roomCodeList;
    }

    /**
     * 获取 房间编码
     * @return roomCodeNotList
     */
    public List<String> getRoomCodeNotList(){
        return this.roomCodeNotList;
    }

    /**
     * 设置 房间编码
     * @param roomCodeNotList
     */
    public void setRoomCodeNotList(List<String> roomCodeNotList){
        this.roomCodeNotList = roomCodeNotList;
    }

    /**
     * 获取 开始 房间类型(0.会议室,1.办公室)
     * @return roomTypeStart
     */
    public Integer getRoomTypeStart(){
        return this.roomTypeStart;
    }

    /**
     * 设置 开始 房间类型(0.会议室,1.办公室)
     * @param roomTypeStart
     */
    public void setRoomTypeStart(Integer roomTypeStart){
        this.roomTypeStart = roomTypeStart;
    }

    /**
     * 获取 结束 房间类型(0.会议室,1.办公室)
     * @return $roomTypeEnd
     */
    public Integer getRoomTypeEnd(){
        return this.roomTypeEnd;
    }

    /**
     * 设置 结束 房间类型(0.会议室,1.办公室)
     * @param roomTypeEnd
     */
    public void setRoomTypeEnd(Integer roomTypeEnd){
        this.roomTypeEnd = roomTypeEnd;
    }

    /**
     * 获取 增加 房间类型(0.会议室,1.办公室)
     * @return roomTypeIncrement
     */
    public Integer getRoomTypeIncrement(){
        return this.roomTypeIncrement;
    }

    /**
     * 设置 增加 房间类型(0.会议室,1.办公室)
     * @param roomTypeIncrement
     */
    public void setRoomTypeIncrement(Integer roomTypeIncrement){
        this.roomTypeIncrement = roomTypeIncrement;
    }

    /**
     * 获取 房间类型(0.会议室,1.办公室)
     * @return roomTypeList
     */
    public List<Integer> getRoomTypeList(){
        return this.roomTypeList;
    }

    /**
     * 设置 房间类型(0.会议室,1.办公室)
     * @param roomTypeList
     */
    public void setRoomTypeList(List<Integer> roomTypeList){
        this.roomTypeList = roomTypeList;
    }

    /**
     * 获取 房间类型(0.会议室,1.办公室)
     * @return roomTypeNotList
     */
    public List<Integer> getRoomTypeNotList(){
        return this.roomTypeNotList;
    }

    /**
     * 设置 房间类型(0.会议室,1.办公室)
     * @param roomTypeNotList
     */
    public void setRoomTypeNotList(List<Integer> roomTypeNotList){
        this.roomTypeNotList = roomTypeNotList;
    }


    /**
     * 获取 开始 绑定的电子门牌的设备ID
     * @return deviceIdStart
     */
    public Long getDeviceIdStart(){
        return this.deviceIdStart;
    }

    /**
     * 设置 开始 绑定的电子门牌的设备ID
     * @param deviceIdStart
     */
    public void setDeviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
    }

    /**
     * 获取 结束 绑定的电子门牌的设备ID
     * @return $deviceIdEnd
     */
    public Long getDeviceIdEnd(){
        return this.deviceIdEnd;
    }

    /**
     * 设置 结束 绑定的电子门牌的设备ID
     * @param deviceIdEnd
     */
    public void setDeviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
    }

    /**
     * 获取 增加 绑定的电子门牌的设备ID
     * @return deviceIdIncrement
     */
    public Long getDeviceIdIncrement(){
        return this.deviceIdIncrement;
    }

    /**
     * 设置 增加 绑定的电子门牌的设备ID
     * @param deviceIdIncrement
     */
    public void setDeviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
    }

    /**
     * 获取 绑定的电子门牌的设备ID
     * @return deviceIdList
     */
    public List<Long> getDeviceIdList(){
        return this.deviceIdList;
    }

    /**
     * 设置 绑定的电子门牌的设备ID
     * @param deviceIdList
     */
    public void setDeviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
    }

    /**
     * 获取 绑定的电子门牌的设备ID
     * @return deviceIdNotList
     */
    public List<Long> getDeviceIdNotList(){
        return this.deviceIdNotList;
    }

    /**
     * 设置 绑定的电子门牌的设备ID
     * @param deviceIdNotList
     */
    public void setDeviceIdNotList(List<Long> deviceIdNotList){
        this.deviceIdNotList = deviceIdNotList;
    }


    /**
     * 获取 绑定的设备名称
     * @return deviceNameList
     */
    public List<String> getDeviceNameList(){
        return this.deviceNameList;
    }

    /**
     * 设置 绑定的设备名称
     * @param deviceNameList
     */
    public void setDeviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
    }

    /**
     * 获取 绑定的设备名称
     * @return deviceNameNotList
     */
    public List<String> getDeviceNameNotList(){
        return this.deviceNameNotList;
    }

    /**
     * 设置 绑定的设备名称
     * @param deviceNameNotList
     */
    public void setDeviceNameNotList(List<String> deviceNameNotList){
        this.deviceNameNotList = deviceNameNotList;
    }

    /**
     * 获取 开始 员工人数
     * @return countPersonStart
     */
    public Long getCountPersonStart(){
        return this.countPersonStart;
    }

    /**
     * 设置 开始 员工人数
     * @param countPersonStart
     */
    public void setCountPersonStart(Long countPersonStart){
        this.countPersonStart = countPersonStart;
    }

    /**
     * 获取 结束 员工人数
     * @return $countPersonEnd
     */
    public Long getCountPersonEnd(){
        return this.countPersonEnd;
    }

    /**
     * 设置 结束 员工人数
     * @param countPersonEnd
     */
    public void setCountPersonEnd(Long countPersonEnd){
        this.countPersonEnd = countPersonEnd;
    }

    /**
     * 获取 增加 员工人数
     * @return countPersonIncrement
     */
    public Long getCountPersonIncrement(){
        return this.countPersonIncrement;
    }

    /**
     * 设置 增加 员工人数
     * @param countPersonIncrement
     */
    public void setCountPersonIncrement(Long countPersonIncrement){
        this.countPersonIncrement = countPersonIncrement;
    }

    /**
     * 获取 员工人数
     * @return countPersonList
     */
    public List<Long> getCountPersonList(){
        return this.countPersonList;
    }

    /**
     * 设置 员工人数
     * @param countPersonList
     */
    public void setCountPersonList(List<Long> countPersonList){
        this.countPersonList = countPersonList;
    }

    /**
     * 获取 员工人数
     * @return countPersonNotList
     */
    public List<Long> getCountPersonNotList(){
        return this.countPersonNotList;
    }

    /**
     * 设置 员工人数
     * @param countPersonNotList
     */
    public void setCountPersonNotList(List<Long> countPersonNotList){
        this.countPersonNotList = countPersonNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 绑定的设备编码
     * @return deviceCodeList
     */
    public List<String> getDeviceCodeList(){
        return this.deviceCodeList;
    }

    /**
     * 设置 绑定的设备编码
     * @param deviceCodeList
     */
    public void setDeviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
    }

    /**
     * 获取 绑定的设备编码
     * @return deviceCodeNotList
     */
    public List<String> getDeviceCodeNotList(){
        return this.deviceCodeNotList;
    }

    /**
     * 设置 绑定的设备编码
     * @param deviceCodeNotList
     */
    public void setDeviceCodeNotList(List<String> deviceCodeNotList){
        this.deviceCodeNotList = deviceCodeNotList;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public RoomQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public RoomQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public RoomQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public RoomQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public RoomQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public RoomQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }


    /**
     * 设置 房间名称
     * @param roomName
     */
    public RoomQuery roomName(String roomName){
        setRoomName(roomName);
        return this;
    }

    /**
     * 设置 房间名称
     * @param roomNameList
     */
    public RoomQuery roomNameList(List<String> roomNameList){
        this.roomNameList = roomNameList;
        return this;
    }


    /**
     * 设置 房间编码
     * @param roomCode
     */
    public RoomQuery roomCode(String roomCode){
        setRoomCode(roomCode);
        return this;
    }

    /**
     * 设置 房间编码
     * @param roomCodeList
     */
    public RoomQuery roomCodeList(List<String> roomCodeList){
        this.roomCodeList = roomCodeList;
        return this;
    }

    /**
     * 设置  房间类型(0.会议室,1.办公室)
     * @param roomType
     */
    public RoomQuery roomType(Integer roomType){
        setRoomType(roomType);
        return this;
    }

    /**
     * 设置 开始 房间类型(0.会议室,1.办公室)
     * @param roomTypeStart
     */
    public RoomQuery roomTypeStart(Integer roomTypeStart){
        this.roomTypeStart = roomTypeStart;
        return this;
    }

    /**
     * 设置 结束 房间类型(0.会议室,1.办公室)
     * @param roomTypeEnd
     */
    public RoomQuery roomTypeEnd(Integer roomTypeEnd){
        this.roomTypeEnd = roomTypeEnd;
        return this;
    }

    /**
     * 设置 增加 房间类型(0.会议室,1.办公室)
     * @param roomTypeIncrement
     */
    public RoomQuery roomTypeIncrement(Integer roomTypeIncrement){
        this.roomTypeIncrement = roomTypeIncrement;
        return this;
    }

    /**
     * 设置 房间类型(0.会议室,1.办公室)
     * @param roomTypeList
     */
    public RoomQuery roomTypeList(List<Integer> roomTypeList){
        this.roomTypeList = roomTypeList;
        return this;
    }

    /**
     * 设置 房间类型(0.会议室,1.办公室)
     * @param roomTypeNotList
     */
    public RoomQuery roomTypeNotList(List<Integer> roomTypeNotList){
        this.roomTypeNotList = roomTypeNotList;
        return this;
    }

    /**
     * 设置  绑定的电子门牌的设备ID
     * @param deviceId
     */
    public RoomQuery deviceId(Long deviceId){
        setDeviceId(deviceId);
        return this;
    }

    /**
     * 设置 开始 绑定的电子门牌的设备ID
     * @param deviceIdStart
     */
    public RoomQuery deviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
        return this;
    }

    /**
     * 设置 结束 绑定的电子门牌的设备ID
     * @param deviceIdEnd
     */
    public RoomQuery deviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
        return this;
    }

    /**
     * 设置 增加 绑定的电子门牌的设备ID
     * @param deviceIdIncrement
     */
    public RoomQuery deviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
        return this;
    }

    /**
     * 设置 绑定的电子门牌的设备ID
     * @param deviceIdList
     */
    public RoomQuery deviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
        return this;
    }

    /**
     * 设置 绑定的电子门牌的设备ID
     * @param deviceIdNotList
     */
    public RoomQuery deviceIdNotList(List<Long> deviceIdNotList){
        this.deviceIdNotList = deviceIdNotList;
        return this;
    }


    /**
     * 设置 绑定的设备名称
     * @param deviceName
     */
    public RoomQuery deviceName(String deviceName){
        setDeviceName(deviceName);
        return this;
    }

    /**
     * 设置 绑定的设备名称
     * @param deviceNameList
     */
    public RoomQuery deviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
        return this;
    }

    /**
     * 设置  员工人数
     * @param countPerson
     */
    public RoomQuery countPerson(Long countPerson){
        setCountPerson(countPerson);
        return this;
    }

    /**
     * 设置 开始 员工人数
     * @param countPersonStart
     */
    public RoomQuery countPersonStart(Long countPersonStart){
        this.countPersonStart = countPersonStart;
        return this;
    }

    /**
     * 设置 结束 员工人数
     * @param countPersonEnd
     */
    public RoomQuery countPersonEnd(Long countPersonEnd){
        this.countPersonEnd = countPersonEnd;
        return this;
    }

    /**
     * 设置 增加 员工人数
     * @param countPersonIncrement
     */
    public RoomQuery countPersonIncrement(Long countPersonIncrement){
        this.countPersonIncrement = countPersonIncrement;
        return this;
    }

    /**
     * 设置 员工人数
     * @param countPersonList
     */
    public RoomQuery countPersonList(List<Long> countPersonList){
        this.countPersonList = countPersonList;
        return this;
    }

    /**
     * 设置 员工人数
     * @param countPersonNotList
     */
    public RoomQuery countPersonNotList(List<Long> countPersonNotList){
        this.countPersonNotList = countPersonNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public RoomQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public RoomQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public RoomQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public RoomQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public RoomQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public RoomQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public RoomQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public RoomQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public RoomQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public RoomQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public RoomQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public RoomQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public RoomQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public RoomQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 绑定的设备编码
     * @param deviceCode
     */
    public RoomQuery deviceCode(String deviceCode){
        setDeviceCode(deviceCode);
        return this;
    }

    /**
     * 设置 绑定的设备编码
     * @param deviceCodeList
     */
    public RoomQuery deviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<RoomQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<RoomQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<RoomQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<RoomQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}